//+------------------------------------------------------------------+
//|                                                  trade"sell".mq4 |
//|                      Copyright ? 2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#include <stdlib.mqh>
#property copyright "Copyright ? 2004, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"
//+------------------------------------------------------------------+
//| script "sell"                                   |
//+------------------------------------------------------------------+
extern double TakeProfit = 30;
extern double StopLoss = 15;
extern double Lots = 1.0;
extern double TrailingStop = 0;

int start()
{
   int ticket;
   while(true)
   {
      ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Ask+StopLoss*Point,Bid-TakeProfit*Point,"sell opened",255,0,Red);
      if(ticket<=0)
      {
         int error=GetLastError();
            Print("Error = ",ErrorDescription(error));
               if(error==134) break;            // not enough money
               if(error==135) RefreshRates();   // prices changed
               break;
      }
      //---- remove break statement below and take trading for all money
      else { OrderPrint(); break; }
      //---- 10 seconds wait
      Sleep(10000);
   }

   if(TrailingStop>0)  
   {                 
      if((OrderOpenPrice()-Ask)>(Point*TrailingStop))
      {
         if((OrderStopLoss()>(Ask+Point*TrailingStop)) || (OrderStopLoss()==0))
         {
            OrderModify(OrderTicket(),OrderOpenPrice(),Ask+Point*TrailingStop,OrderTakeProfit(),0,Red);
            return(0);
         }
      }
   }
   return(0);
}